This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 179362 - don't run fc-cache in /etc/init.d/xfs
don't run fc-cache in /etc/init.d/xfs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-xfs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2006-01-30 11:25 EST by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-31 22:09:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-01-30 11:25:41 EST
It is not necessary at all, since font packages are supposed
to run fc-cache in their %post
Comment 1 Mike A. Harris 2006-01-30 14:45:01 EST
We can't guarantee that they do however, or that they rerun it when the
fonts get uninstalled.  Does fontconfig cleanly handle a font being
cached but no longer present?

Why do things work fine with FC4 and earlier, but in FC5 there is all
of a sudden a problem with calling fc-cache in xfs initscript?

I'm curious what the real problem here is, and would prefer to see that get
fixed.

I've CC'd Owen for additional thoughts
Comment 2 Matthias Clasen 2006-01-30 14:56:01 EST
The real problem is being fixed. 

running fc-cache at boot time won't help anybody who has problems with fonts
being cached but no longer present. Unless you want to force an immediate reboot
after uninstalling a font package...
Comment 3 Mike A. Harris 2006-01-31 22:09:28 EST
We've discussed this issue via email, however, for the benefit of other
developers and users who may wonder why this change is being made,
I thought I'd provide a brief rationale here that we can refer people
to for the future.

After the email discussion we've decided to remove the call to fc-cache
from the xfs initscript, as from an xfs package perspective fc-cache is
unrelated to xfs and core fonts, so shouldn't be called from xfs.init.  

It's considered to be a separate issue as to wether or not fc-cache should
be ran by any initscript at boot time or not, however if it is decided that
it should be ran, it should have its own /etc/rc.d/init.d/fontconfig script
perhaps, which is part of the fontconfig package.

The decision for wether that should happen or not is an orthagonal issue
that is beyond the scope of the xfs package however.  That decision is
up to the fontconfig maintainer et al.


I've made the changes and checked them into xfs CVS, however I haven't
built a new package yet as there are other changes I'd like to include
in the package soon.  It'll automatically get into rawhide in the next
build though, so I'm closing it as "RAWHIDE" for now.

Thanks guys.



Note You need to log in before you can comment on or make changes to this bug.